#-*- coding: utf-8 -*-

#**********************************************
# oct2spec/Packager.py
#
# Class file for the class Packager
#
# Based on R2spec by Pierre-Yves chibon
#
# Copyright (C) 2011 Orion Poplawski <orion@cora.nwra.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#**********************************************
import sys, os, re

class Packager:
    '''
    Packager class.
      Creates and handle the object Packager
    '''

    def __init__(self):
        ''' Creates the object of class Packager and set the attributes '''
        self.name = None
        self.email = None
        self.mock = None
    
    def setName(self,name):
        ''' Set the name of the packager '''
        self.name = name

    def setEmail(self, email):
        ''' Set the Email of the packager '''
        self.email = email

    def readConfFile(self):
        '''
        Reads the file /etc/oct2spec.conf and set the name
        and email of the packager
        '''
        # Default config file
        conf_file = '/etc/oct2spec.conf'
        
        # Check if there is a ~/.oct2spec.conf which overrides the defaulf file
        if os.path.isfile ( os.path.expanduser("~" + "/.oct2spec.conf") ):
            conf_file =  os.path.expanduser("~" + "/.oct2spec.conf")
        
        try:
            conf_size = os.path.getsize ( conf_file )
        except Exception, err:
            conf_size = 0
        if conf_size is not 0:
            f= open ( conf_file )
            conf_file = f.read()
            f.close()

            # find the name of the packager
            namemotif = re.compile('Packager name:(.*)')
            try:
                name = namemotif.findall(conf_file)[0]
                self.name = name.strip()
            except IndexError, err:
                self.name = ""

            # find the mail of the packager
            mailmotif = re.compile('Packager email:(.*)')
            try:
                mail = mailmotif.findall(conf_file)[0]
                self.email = mail.strip()
            except IndexError, err:
                self.email = ""
            
            # find the mock command to use
            mockmotif = re.compile('mock:(.*)')
            try:
                mock = mockmotif.findall(conf_file)[0]
                self.mock = mock.strip()
                if self.mock == "":
                    print 'No mock command set, use the default one'
                    self.mock = "  mock -r %s --rebuild %s"
            except IndexError, err:
                print 'No mock command set, use the default one'
                self.mock = "  mock -r %s --rebuild %s"
            
            # find the argument for rpmbuild
            rpmmotif = re.compile('rpmbuild-arg:(.*)')
            try:
                rpmarg = rpmmotif.findall(conf_file)[0]
                self.rpmarg = rpmarg.strip()
                if self.rpmarg == "":
                    print 'No argument given for rpmbuild, use the default one'
                    self.rpmarg = None
            except IndexError, err:
                print 'No argument given for rpmbuild, use the default one'
                self.rpmarg = None
