%global octpkg {{ octpkg }}

Name:           octave-%{octpkg}
Version:        {{version}}
Release:        1%{?dist}
Summary:        {{summary}}
Group:          Applications/Engineering
License:        {{license}}
URL:            {{URL}}
Source0:        {{source0}}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
{% if (arch == "noarch") %}BuildArch:      noarch

BuildRequires:  octave {{depends}} {{suggests}}

Requires:       octave{% else %}
BuildRequires:  octave-devel {{depends}} {{suggests}}

Requires:       octave(api) = %{octave_api}{% endif %}
Requires(post): octave
Requires(postun): octave
{% if depends != "" %}Requires:         {{depends}} {% endif %}
{% if suggests != "" %}Requires:         {{suggests}} {% endif %}
Obsoletes:      octave-forge <= 20090607


%description
{{description}}

%prep
%setup -q -n %{octpkg}-%{version}

%build
%octave_pkg_build

%install
rm -rf %{buildroot}
%octave_pkg_install

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%defattr(-,root,root,-)
{% if (arch != "noarch") %}%{octpkglibdir}
{% endif %}
%dir %{octpkgdir}
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/*.m
%{octpkgdir}/packinfo


%changelog
* {{date}} {{name}} <{{email}}> {{version}}-1
- initial package for Fedora
